---
stages:
  - lint
  - test
  - build

.scenario_template: &scenario_template
  image: registry.gitlab.com/dreamer-labs/repoman/dl-molecule-stable/image:latest
  variables:
    DEVEL_SLUG: "devel"
    DOCKER_TLS_CERTDIR: ""
    DOCKER_HOST: "tcp://docker:2375"
  services:
    - docker:dind
  tags:
    - docker
    - gce
  except:
    variables:
      - $CI_COMMIT_MESSAGE =~ /^chore\(release\)/
  only:
    - merge_requests
    - master

lintdocs:
  image: registry.gitlab.com/dreamer-labs/repoman/dl-lint-docs:dc159d5d-lint-docs
  stage: lint
  tags:
    - docker
    - gce
  script:
    - pyspelling --spellchecker hunspell
    - mdl README.md
  only:
    - master
    - merge_requests
  except:
    variables:
      - $CI_COMMIT_MESSAGE =~ /^chore\(release\)/


commitchecker:
  image: registry.gitlab.com/dreamer-labs/repoman/dl-commitlint:latest
  stage: lint
  tags:
    - docker
    - gce
  only:
    - merge_requests
  script:
    - git remote add upstream ${CI_MERGE_REQUEST_PROJECT_URL}.git
    - git fetch upstream
    - commitlint --from=upstream/${CI_MERGE_REQUEST_TARGET_BRANCH_NAME} --to=${CI_COMMIT_SHA};


molecule_test:
  <<: *scenario_template
  stage: test
  script:
    - molecule test
...